import 'package:flutter/material.dart';
import 'package:flyinsono/lab/color/lab_colors.dart';

class BufferSlider extends StatelessWidget {
  final double progress;

  const BufferSlider({super.key, required this.progress});

  @override
  Widget build(BuildContext context) {
    final value = progress * 10000;
    return SliderTheme(
      data: SliderThemeData(
        trackHeight: 4,
        thumbShape: SliderComponentShape.noThumb,
        overlayShape: const RoundSliderOverlayShape(overlayRadius: 0),
      ),
      child: Slider(
        // value: 80,
        value: value,
        onChanged: (value) {},
        min: 0,
        max: 10000,
        // divisions: divisions,
        inactiveColor: LabColors.base900,
        activeColor: LabColors.base100,
      ),
    );
  }
}
